#pragma once
#include "../OS-ImGui/imgui/imgui.h"


struct ESPConfig {
    
    bool enabled = true;
    bool showBoxes = true;
    bool showHealthBars = true;
    bool showShieldBars = true;
    bool showNames = true;
    bool showDistances = true;
    bool showWeapons = false;
    bool showLevels = false;
    bool showSkeleton = false;
    bool showKnocked = true; 
    bool showAntenna = true;      // 是否显示天线
    bool onlyShowVisible = false; // 是否仅显示可见目标
    
    
    float maxDistance = 500.0f; 
    float boxThickness = 1.5f;
    float skeletonThickness = 1.5f;
    
    
    ImVec4 enemyColor = ImVec4(1.0f, 0.0f, 0.0f, 1.0f); 
    ImVec4 teamColor = ImVec4(0.0f, 1.0f, 0.0f, 1.0f);  
    ImVec4 visibleColor = ImVec4(0.0f, 1.0f, 1.0f, 1.0f); // 改为青色，与渲染器一致
    ImVec4 knockedColor = ImVec4(0.5f, 0.5f, 0.5f, 1.0f); 
    ImVec4 dummyColor = ImVec4(1.0f, 1.0f, 0.0f, 1.0f);   // 增加 Dummy 颜色 (黄色)    
    
    ImVec4 shieldColors[5] = {
        ImVec4(0.5f, 0.5f, 0.5f, 1.0f), 
        ImVec4(1.0f, 1.0f, 1.0f, 1.0f), 
        ImVec4(0.27f, 0.89f, 1.0f, 1.0f), 
        ImVec4(0.88f, 0.27f, 1.0f, 1.0f), 
        ImVec4(1.0f, 0.87f, 0.24f, 1.0f)  
    };
    
    
    bool hideOnScreenshot = true; 
};
